ObjectFactoryRegistry< AbstractClass, instance > Class Template Reference

Object factory registry. More...

## Classes

class | FactoryNotFound

## Public Member Functions

void | RegisterFactory (const std::string &name, ObjectFactory< AbstractClass > *factory)
const ObjectFactory< AbstractClass > * | GetFactory (const char *name) const
AbstractClass * | CreateObject (const char *name) const
std::vector< std::string > | GetFactoryNames () const

## Static Public Member Functions

static ObjectFactoryRegistry< AbstractClass, instance > & | Registry (...)

## Detailed Description

### template<class AbstractClass, int instance = 0>
class ObjectFactoryRegistry< AbstractClass, instance >

Object factory registry.

Template Parameters

  AbstractClass | Base class interface of the object
  instance | unique identifier

Definition at line 42 of file factory.h.

The documentation for this class was generated from the following file:

- factory.h